'----ColorInfoDemo.vbs  - This script demonstrates 2 things:
'-- custom color properties and the Info functions. 
'--when the script starts it calls GetInfo to check for stored color settings.
'-- (The settings file is jsformdll.ini in the Windows folder)
'--  Next, it assigns the results to the Window colors.
'--Then it saves the colors and shows the window.
'--As a result, on first run the window displays system colors because no
'--settings were found. When the script is run a second time, the newly-saved
'--settings are found and applied to the window.
'----------------------------------------------------------------- 

Dim ob, wincol, butcol, textcol, i
set ob = CreateObject("JSForm.Window")

'---------------check for stored settings.
'---------- i returns -1 on first run because there is no INI file.
'---------on 2nd run i returns 1 and the 3 variables hold valid color settings.

 i = ob.GetInfo("Colors", "Window", wincol)
 i = ob.GetInfo("Colors", "Button", butcol)
 i = ob.GetInfo("Colors", "Text", textcol)

'-----------try to apply color settings to window.
 
 ob.WindowColor = wincol
 ob.ButtonColor = butcol
 ob.TextColor = textcol

 ob.picture = "C:\windows\desktop\pic32.bmp"
 ob.Title = "Color and Info Saving"
 ob.Caption = "This script demonstrates color functions and Info Saving functions." & vbcrlf & "On first run it should show system colors." & vbcrlf & "It then saves the color settings so that on 2nd run those will show."
 ob.ShowButtons = 1
 ob.Button1Caption = "OK"

'-----------------save color settings.-----------

i = ob.SaveInfo("Colors", "Window", "FFFFFF")
 i = ob.SaveInfo("Colors", "Button", "FFF8F9")
i = ob.SaveInfo("Colors", "Text", "0000AA")
 
 ob.Show
  
