'-----DBDemo.vbs  - a primitive database. this script starts by
'--going through the Windows folder, making a list of all EXE files with
'--their version numbers (merely for demonstration purposes).
'--it then uses the list box and 1 text box to let you edit a list item,
'--after which it will offer to save the list as a file.
'--it also uses SaveInfo to record the file path;  on second run,
'--using GetInfo, the script will find the saved file and offer to open it
'--for further editing.
'-------------------------------------------------------------

Dim fso, ob, r, f, fol, fils, fil, s, sv, fpath, i, slist, a, sfol, ls
Set fso = CreateObject("Scripting.FileSystemObject")
Set ob = CreateObject("JSForm.Window")

       '---see whether there's already a database file.---------------
       '--if there is a file, ask whether to open it, then read it into variable s with commas
       '--for loading into list box.
      i = ob.GetInfo("Database", "Path", f)

          if i = 1 and fso.FileExists(f) then
                ob.WindowColor = "E0E6FE" 
                ob.buttonColor = "FFFFFF"  
                ob.TextColor = "140695"  
                ob.title = "A Primitive Database"
                ob.caption = "A database file was found. Open it?"
                ob.picture = "c:\windows\desktop\pic32.bmp"
                ob.showbuttons = 2
                ob.button1caption = "OK"
                ob.button2caption = "CANCEL"
                ob.show
               r = ob.Response()
                   if r <> 1 then
                           wscript.quit
                   end if
                set fil = fso.OpenTextFile(f, 1)
                   do while fil.AtEndOfStream = false
                       s = s & fil.ReadLine & ","
                           if fil.AtEndOfStream = true then
                              exit do
                           end if
                    loop
                    fil.Close
                 set fil = nothing
                 s = left(s, (len(s) - 1))
          else  
            '-----there was no record of a database file. 
            '--go through the Windows folder processing EXE files and make the list.       
                  
                       ob.WindowColor = "E0E6FE" 
                       ob.buttonColor = "FFFFFF"  
                       ob.TextColor = "140695"  
                      ob.title = "A Primitive Database"
                      ob.caption = "This script will get the names and versions of all executables" & vbcrlf & " in the Windows folder, for use in a primitive database." & vbcrlf & "Click OK to begin.....Creating the list may take a moment."
                      ob.picture = "c:\windows\desktop\pic32.bmp"
                      ob.showbuttons = 2
                      ob.button1caption = "OK"
                      ob.button2caption = "CANCEL"
                      
                      ob.show

                       r = ob.Response()
                            if r <> 1 then
                                 wscript.quit
                            end if
                       s = ""
                       sv = ""
                       sfol = fso.GetSpecialFolder(0)
                        set fol = fso.GetFolder(sfol)
                         set fils = fol.files
                   
                          for each fil in fils
                              on error resume next
                            f = fil.name
                               if ucase(right(f, 3)) = "EXE" then
                                   s = s & f
                                   fpath = sfol & "\" & f
                                   sv = fso.GetFileVersion(fpath)
                                   s = s & " - " & sv & ","
                               end if
                          next
                        set fils = nothing
                        set fol = nothing
                       s = left(s, (len(s) - 1))
           end if

'---------show list and set up window so that an entry can be edited.

   ob.WindowColor = "E0E6FE" 
    ob.buttonColor = "FFFFFF"  
    ob.TextColor = "140695"  
   ob.title = "A Primitive Database"
   ob.caption = "These are the executables in the Windows folder." & vbcrlf & "Select one to edit the listing and click OK."
   ob.picture = "c:\windows\desktop\pic32.bmp"
   ob.showbuttons = 2
   ob.button1caption = "OK"
   ob.button2caption = "CANCEL"
   ob.showList
   ob.LoadList s
   ob.ShowTextBox(false) = 1
   ob.text1Caption = "List item for editing:"
   ob.persist = true
   ob.show   
  
  r = ob.Response(, , i)
    if r <> 1 then
         wscript.quit
    end if

'--------------if an item was chosen put it in textbox.

   if i <> "" then
     r = ob.RemoveSelListItem
     ob.text1text = i
  else
    msgbox "No selection."
    wscript.quit
  end if
   ob.caption = "Edit listing and click OK."
   ob.show
   
 r = ob.Response(i)
    if r <> 1 then
         wscript.quit
    end if

  '------ if textbox is not empty put the newly edited item back into list.

   If i <> "" then
      ob.AddToList i
  end if
 slist = ob.getlist
 a = split(slist, ",")
 ob.Persist = false
 ob.Reset

'-----------editing is done. ask whether to save.----------

   ob.WindowColor = "E0E6FE" 
    ob.buttonColor = "FFFFFF"  
    ob.TextColor = "140695"  
   ob.title = "A Primitive Database"
   ob.caption = "Listing has been updated. Do you want to save the list?"
   ob.picture = "c:\windows\desktop\pic32.bmp"
   ob.showbuttons = 2
   ob.button1caption = "YES"
   ob.button2caption = "NO"
   ob.persist = true
   ob.show

  r = ob.response()
     if r <> 1 then
         wscript.quit
    end if

   '---------show FileSave dialogue to save list.--------------------
 

  r = ob.ChooseFileSave
  if r <> "" then
      if fso.FileExists(r) = false then
           set fil = fso.CreateTextFile(r)
              for i = 0 to ubound(a)
                 fil.writeline a(i)
              next
            fil.close
          set fil = nothing
          i = ob.SaveInfo("Database", "Path", r)
           wscript.Quit
      Else
         ob.caption = "That file exists. Do you want to overwrite it?"
         ob.show
          sv = ob.response()
             if sv <> 1 then
                wscript.quit
             end if
      end if
  end if
   '-----------------chose to overwrite file.

     set fil = fso.openTextFile(r, 2)
          for i = 0 to ubound(a)
            fil.writeline a(i)
         next
         fil.close
      set fil = nothing
     i = ob.SaveInfo("Database", "Path", r)
 

   

 