'--ListandInfo.vbs  - This script uses all the list box and info methods.
'--Each window will explain what was done.
'--the last window demonstrates an aspect of the Persist property.
'--When Persist is set to True the layout of the window cannot be changed.
'--if a caption is too long for the persisting window it will run off the end.
'--if you change button number from 1 to 2, the second button will be placed wrong.
'--Whenever layout changes are made the window needs to be reset and rebuilt.

'--------------------------------------------------------------------

Dim fso, ob, s, i
Set fso = CreateObject("Scripting.FileSystemObject")
set ob = CreateObject("JSForm.Window")

ob.title = "List Box and Info Functions"
ob.caption = "This script will demonstrate list box operations and Info functions."
ob.picture = "C:\windows\desktop\pic48.bmp"
ob.ShowButtons = 1
ob.Button1Caption = "OK"
ob.ButtonColor = "b9d6e6"
ob.WindowColor = "fde4e1"
ob.TextColor = "005b5b"
ob.show

'-----------set Persist to True for all remaining windows.----------

ob.persist = true
ob.title = "List Box and Info Functions"
ob.picture = "C:\windows\desktop\pic48.bmp"
ob.ShowButtons = 1
ob.Button1Caption = "OK"
ob.ButtonColor = "b9d6e6"
ob.WindowColor = "fde4e1"
ob.TextColor = "005b5b"
ob.showlist
s = "one,two,three,four,five"
ob.loadlist s
ob.caption = "A list has been added to the list box using LoadList."
ob.show

i = ob.saveinfo("List", "List1", "apple,orange,banana")
ob.caption = "Six has been added to the list using AddToList and" & vbcrlf & " a new list has been saved using SaveInfo." & vbcrlf & "Click OK to clear the list box and load the new list."
ob.addtolist("six")
ob.show


ob.caption = "This is the new list, using GetInfo, ClearList and LoadList."
ob.ClearList
i = ob.GetInfo("List", "List1", s)
ob.Loadlist s
ob.show

ob.caption = "The fruit list was deleted using DeleteInfo." & vbcrlf & "Then GetInfo was called." & vbcrlf & "Since the list is gone the list box is empty."
i = ob.deleteinfo("List", "List1")
i = ob.GetInfo("List", "List1", s)
ob.ClearList
ob.Loadlist s
ob.show

ob.caption = "Last window. Notice that caption goes off the end because Persist is set to true and this caption is longer than window length."
ob.show


