
'---  ListandTextDemo.vbs.  This script demonstrates several functions of the Window object.
'-- The script shows the folder browsing dialogue (ChooseFolder). when a folder is chosen
'--the script gets the filenames of all files in that folder and puts them in a List Box.
'--Next, you select a file name from the list box and that file is opened in a large text box window.
'--then you can do a find-and-replace operation, made possible by the use of the 2nd text box.
'-- finally, the resulting text can be saved.

'--------------------------------------------------------
Dim fso, ob, r, fol, fils, fil, s, f, r1
Set fso = CreateObject("Scripting.FileSystemObject")
set ob = CreateObject("JSForm.Window")

   '--------Set up window for first show.----------------------
  
    ob.WindowColor = "E0E6FE" 
    ob.buttonColor = "FFFFFF"  
    ob.TextColor = "140695"  
   ob.title = "List Box Demo"
   ob.caption = "This script will put file names in a list box and then display one to edit." & vbcrlf & "Click OK to begin."
   ob.picture = "c:\windows\desktop\pic32.bmp"
   ob.showbuttons = 2
   ob.button1caption = "OK"
   ob.button2caption = "CANCEL"
   
   ob.show
  
      '--------------- only continue if r = 1 . 2 would be CANCEL. 0 would mean the window was closed.

   r = ob.response()
    if r <> 1 then
       wscript.quit
    end if
 
     '--------------show the folder browsing dialogue and get folder path.---------------

   r = ob.chooseFolder("Select folder to use for file list.")
       If fso.FolderExists(r) = false then
          wscript.quit
       end if

   '-------set up a new window with list box. load file names in list box and show.

    ob.picture = "c:\windows\desktop\pic32.bmp"
    ob.WindowColor = "E0E6FE" 
    ob.buttonColor = "FFFFFF"  
    ob.TextColor = "140695"  
   ob.title = "List Box Demo"
   ob.ShowList
    ob.showbuttons = 1
   ob.button1caption = "OK"
   ob.caption = "Select file to edit and click OK."
   set fol = fso.GetFolder(r)
   set fils = fol.files
     for each fil in fils
         s = fil.Name
         ob.AddToList(s)
      next 
   set fils = nothing
   set fol = nothing
    ob.show

   '-----------get the selected file name.---------------------

    r1 = ob.Response(, , f)
      If r1 <> 1 or f = "" then 
         wscript.Quit
      end if

  '--------------open that file and read it to a variable.------------------------
   f = r & "\" & f
   set fil = fso.OpenTextFile(f, 1)
     s = fil.ReadAll
      fil.Close
   set fil = nothing

   '------------set up a new window with large text box and small text box.
  '-------------put file text in large text box. We'll need the same window again so set Persist = true.

    ob.picture = "c:\windows\desktop\pic32.bmp"
    ob.WindowColor = "E0E6FE" 
    ob.buttonColor = "FFFFFF"  
    ob.TextColor = "140695"  
    ob.title = "List Box Demo"
    ob.ShowTextBox(True, 300, 300) = 2
    ob.Text1Text = s
    ob.text1caption = f
    ob.Persist = True
    ob.showbuttons = 1
    ob.button1caption = "OK"
    ob.caption = "Enter a word into lower textbox that you want to replace in text. Then click OK."
    ob.Show

  '------------get word to replace in text.--------------
      
     r = ob.Response(s, f)
        if r <> 1 then 
           wscript.Quit
        end if
      ob.text2text = ""
     ob.caption = "Enter the word or text to replace " & f & " with."
     ob.Show
 
 '----------get replace-with text--------------------
 
    r = ob.Response(s, r1)
       if r <> 1 then 
           wscript.Quit
        end if

 '-----------do replacement.

    r = Replace(s, f, r1, 1, -1, 1)

 '--now there's a second button being added. That changes the window layout so
'--  it must be reset. Set up the new window and put edited text in large textbox.
'--  get rid of 2nd text box, show yes and no buttons for choice of saving text to a file.

    ob.Persist = false     
    ob.Reset
    ob.picture = "c:\windows\desktop\pic32.bmp"
    ob.WindowColor = "E0E6FE" 
    ob.buttonColor = "FFFFFF"  
    ob.TextColor = "140695"  
    ob.title = "List Box Demo"
    ob.ShowTextBox(True, 300, 300) = 1
    ob.text1text = r
    ob.text1caption = "New text:"
    ob.caption = "This is the edited text. Would you like to save it?"
     ob.showbuttons = 2
      ob.button1caption = "YES"
     ob.button2caption = "NO"
     ob.Show

'---------if NO then quit. if YES, show FileSave dialogue box and save file.

   r = ob.Response(s)
        if r <> 1 then 
            msgbox "Script is done.", 0, "Finished"
           wscript.Quit
        end if
   r = ob.ChooseFileSave
      if r <> "" then
         set fil = fso.openTextFile(r, 2, true)
          fil.Write s
          fil.Close
         set fil = nothing
         msgbox "File saved as " & r
      end if




   
