'---Form Test.vbs - This script demonstrates some of the uses of the JSForm.Window
'--object. The script starts by letting the user select a file for editing with the FileOpen
'--dialogue box. It then opens the file
'--in a text box. After editing the script asks whether to save the file as a new file or overwrite
'--the existing one. If "save new" is chosen the "SaveAs" dialogue box will be displayed.
'------------Note that custom colors have been used except for the last message window.
'-----colors can only be used in the JSForm.Window. If you want color to be consistent it's
'--necessary to use the JSForm.Window for all display and forego the VBS MsgBox function. 
'-------------------------------------------------------------------------------------------

'-----------------start script:----------------------------

Dim fso, ob, r, fil, sfil, fpath, s
Set fso = CreateObject("Scripting.FileSystemObject")
set ob = CreateObject("JSForm.Window")

'----------------set up window for first show.----------------------------------

ob.Title = "Scriptable Window"
ob.Caption = "This operation will allow you to edit a file." & vbcrlf & "Click browse to find a file for editing." & vbcrlf & "Click Cancel to quit."
ob.Picture = "C:\windows\desktop\pic32.bmp"
ob.ShowButtons = 2
ob.Button1Caption = "BROWSE"
ob.Button2Caption = "CANCEL"

  '------create custom colors---------------------

     ob.ButtonColor = "fcdfc2"
     ob.WindowColor = "fef4e9"
     ob.TextColor = "0000cc"

'-------------show the window.-----------

ob.Show

 '------------------get button click.-------------------------------------

 r = ob.Response()
if r <> 1 then  '-------------if 2 cancel was clicked. if 0 window was closed.
  Wscript.Quit
end if

'----------show FileOpen dialogue and get file path. Then open file and read into variable.---------

 fpath = ob.ChooseFileOpen
 if r = "" or  fso.FileExists(fpath) = false then
    msgbox "No file chosen or invalid path."
    Wscript.Quit
end if
 set fil = fso.OpenTextFile(fpath, 1)
    sfil = fil.readall
    fil.close
  set fil = nothing

'-----------------put file text in text box and set up window.-----------------------------------------

ob.Title = "Scriptable Window"
ob.Caption = "Make desired changes in text of file and click OK."
ob.Picture = "C:\windows\desktop\pic32.bmp"
ob.ShowButtons = 1
ob.Button1Caption = "OK"
ob.ShowTextBox(True, 400, 300) = 1 
ob. Text1Caption = fpath
ob.Text1Text = sfil

         '------create custom colors---------------------
         ob.ButtonColor = "fcdfc2"
         ob.WindowColor = "fef4e9"
         ob.TextColor = "0000cc"

'-------show window.-----------

ob.show

 '------------------get button click after editing is finished.-------------------------------------

 r = ob.Response(sfil)        '------confirm that OK was clicked and get edited text.
if r <> 1 then            '------------- if 0 then window was closed.
  wscript.quit
end if

'------------------show choice for file saving.---------------------

ob.Title = "Scriptable Window"
ob.Picture = "C:\windows\desktop\pic32.bmp"
ob.Caption = "Do you want to overwrite this file or save the text as a new file?"
ob.ShowButtons = 2
ob.Button1Caption = "Overwrite"
ob.Button2Caption = "New File"

      '------create custom colors---------------------

       ob.ButtonColor = "fcdfc2"
       ob.WindowColor = "fef4e9"
       ob.TextColor = "0000cc"

ob.Show

  r = ob.Response()
  if r = 0 then              '------------if r = 0 window was closed.
     wscript.quit
  elseif r = 1 then                              '---------if r = 1 overwrite file.
     set fil = fso.OpenTextFile(fpath, 2)
       fil.write sfil
       fil.close
     set fil = nothing
     s = fpath
     msgbox "File saved as " & s, 0, "File Saved"
 else                        '--if r = 2 show FileSave dialogue and save as new file.
   fpath = ob.ChooseFileSave
    if fpath <> "" then
     s = saveit(fpath, sfil)
     msgbox "File saved as " & s, 0, "File Saved"
    end if
 end if   


'------File saving function. Check for file extension, make it TXT if no extension was appended.
'------- Then save the file. SaveIt function returns final file path.
'------ Perameters are original file path from ChooseFileSave, and text1 text.

function SaveIt(filepath, stext)
  dim pf, ts
 pf = fso.GetFilename(filepath)
  if instr(1, filepath, ".") = 0 then
     filepath = filepath & ".txt"
  end if
 set ts = fso.CreateTextFile(filepath, true)
   ts.Write stext
   ts.Close
  set ts = nothing
  SaveIt = filepath
end function 

 